%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

%global optflags %{optflags} -flto
%global build_ldflags %{build_ldflags} -flto

Name:           stlink
Version:        1.8.0
Release:        %mkrel 1
Summary:        STM32 discovery line Linux programmer
Group:          Development/Tools
License:        BSD
Url:            https://github.com/stlink-org/stlink
Source0:        https://github.com/stlink-org/%{name}/archive/refs/tags/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  cmake >= 3.13.0
BuildRequires:  desktop-file-utils
BuildRequires:  gcc
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22.30
BuildRequires:  pkgconfig(libusb-1.0) >= 1.0.22
BuildRequires:  pkgconfig(udev)

%description
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 micro-controllers.
######################################
%package        gui
Summary:        GUI for STM32 discovery line linux programmer
Requires:       %{libname} = %{version}-%{release}
Requires:       hicolor-icon-theme
Obsoletes:      %{name} < 1.5.1-2

%description    gui
STLINK v1/v2 JTAG/SWD debugging/flashing tool for STM32 micro-controllers.

#####################################
%package -n %{devname}
Summary:        Include files and mandatory libraries for development
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Include files and mandatory libraries for development.
######################################

%package -n %{libname}
Summary: Library files for stlink

%description -n %{libname}
Library files.
######################################

%prep
%autosetup -p1

%build
%cmake \
        -DCMAKE_AR=/usr/bin/gcc-ar \
        -DCMAKE_RANLIB=/usr/bin/gcc-ranlib \
        -DCMAKE_NM=/usr/bin/gcc-nm \
        -DSTLINK_UDEV_RULES_DIR="%{_udevrulesdir}" \
        -DSTLINK_STATIC_LIB=OFF
%cmake_build

%install
%cmake_install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}-gui.desktop

rm -f %{buildroot}/%{_libdir}/libstlink.a

%files gui
%doc README.md CHANGELOG.md
%license LICENSE.md
%config(noreplace) %{_sysconfdir}/modprobe.d/%{name}*
%{_bindir}/*
%{_datadir}/applications/%{name}-gui.desktop

%{_datadir}/icons/hicolor/scalable/apps/%{name}-gui.svg
%{_mandir}/man1/st-*.1*
%{_udevrulesdir}/49-%{name}*
%{_datadir}/%{name}/%{name}-gui.ui
%{_datadir}/%{name}/chips/

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}{,.*}

%files -n %{devname}
%{_includedir}/*
%{_libdir}/lib%{name}.so


%changelog
* Wed Oct 09 2024 barjac <barjac> 1.8.0-1.mga9
+ Revision: 2104502
- new version 1.8.0
- fixes mga#33568 update request

* Wed Mar 30 2022 umeabot <umeabot> 1.7.0-2.mga9
+ Revision: 1835562
- Mageia 9 Mass Rebuild

* Wed May 19 2021 barjac <barjac> 1.7.0-1.mga9
+ Revision: 1725532
- new version 1.7.0
- update files list

* Sat Jun 06 2020 barjac <barjac> 1.6.1-1.mga8
+ Revision: 1590661
- new version 1.6.1
- fix paths and files lists

* Fri Feb 21 2020 barjac <barjac> 1.6.0-1.mga8
+ Revision: 1549195
- new version 1.6.0

* Tue Feb 18 2020 umeabot <umeabot> 1.5.1-3.mga8
+ Revision: 1538790
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Mon Nov 18 2019 barjac <barjac> 1.5.1-2.mga8
+ Revision: 1461661
- Remove base package rpm
- libify and make -gui main rpm
- obsolete original %%name rpm

* Wed Nov 13 2019 barjac <barjac> 1.5.1-1.mga8
+ Revision: 1459913
- clean spec
- import stlink from Fedora


* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-0.4.20190606git84f63d2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jun 27 2019 Vasiliy N. Glazov <vascom2@gmail.com> - 1.5.1-0.3.20190606git84f63d2
- Update to latest git

* Mon May 20 2019 Vasiliy N. Glazov <vascom2@gmail.com> - 1.5.1-0.3.20190513gitd040db5
- Update to latest git

* Tue Feb 19 2019 Kalev Lember <klember@redhat.com> - 1.5.1-0.3.20190216git1165cf7
- Rebuilt against fixed atk (#1626575)

* Tue Feb 19 2019 Vasiliy N. Glazov <vascom2@gmail.com> - 1.5.1-0.2.20190216git1165cf7
- Update to latest git

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-0.2.20190103git7651d21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jan 11 2019 Vasiliy N. Glazov <vascom2@gmail.com> - 1.5.1-0.1.20190103git7651d21
- Update to latest git

* Tue Aug 07 2018 Vasiliy N. Glazov <vascom2@gmail.com> - 1.5.1-0.1.20180802gitae717b9
- Update to latest git

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 16 2018 Vasiliy N. Glazov <vascom2@gmail.com> - 1.5.0-1
- Update to 1.5.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Sep 06 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.4.0-2
- Corrected Source0 url
- Added desktop file
- Removed static library

* Fri Sep 01 2017 Vasiliy N. Glazov <vascom2@gmail.com> - 1.4.0-1
- Update to 1.4.0

* Mon Jun 20 2016 Vasiliy N. Glazov <vascom2@gmail.com> 1.2.0-1
- Update to 1.2.0

* Tue Aug 18 2015 Vasiliy N. Glazov <vascom2@gmail.com> 1.1.0-1
- Correct spec for Fedora

* Fri Apr  3 2015 dmitry_r@opensuse.org
- Update to version 1.1.0
  * New devices support, see included README file
  * Bugfixes
* Wed Jun 11 2014 dmitry_r@opensuse.org
- Add COPYING and README to package documentation
* Fri Jun  6 2014 dmitry_r@opensuse.org
- Initial package, version 1.0.0
